AOT-COMPILE(1)

NAME
aot-compile - Compile bytecode to native and generate databases

SYNOPSIS
aot-compile [OPTION] ... SRCDIR DSTDIR

aot-compile [-M, --make=PATH] [-C, --gcj=PATH]
  [-D, --dbtool=PATH] [-m, --makeflags=FLAGS]
  [-c, --gcjflags=FLAGS] [-l, --ldflags=FLAGS]
  [-e, --exclude=PATH]

DESCRIPTION
"aot-compile" is a script that searches a directory for Java bytecode (as class files, or in jars) and uses "gcj" to compile it to native code and generate the databases from it.

OPTIONS

-M, --make=PATH
    Specify the path to the "make" executable to use.

-C, --gcj=PATH
    Specify the path to the "gcj" executable to use.

-D, --dbtool=PATH
    Specify the path to the "gcj-dbtool" executable to use.

-m, --makeflags=FLAGS
    Specify flags to pass to "make" during the build.

-c, --gcjflags=FLAGS
    Specify flags to pass to "gcj" during compilation, in addition to '-fPIC -findirect-dispatch -fjni'.

-l, --ldflags=FLAGS
    Specify flags to pass to "gcj" during linking, in addition to '-Wl,-Bsymbolic'.

-e, --exclude=PATH
    Do not compile PATH.

SEE ALSO
gcc(1), gcj(1), gcjh(1), jcf-dump(1), gfdl(7), and the Info entries for gcj and gcc.

COPYRIGHT
Copyright (c) 2001-2015 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, the Front-Cover Texts being (a) (see below), and with the Back-Cover Texts being (b) (see below). A copy of the license is included in the man page gfdl(7).

(a) The FSF's Front-Cover Text is:

     A GNU Manual

(b) The FSF's Back-Cover Text is:

     You have freedom to copy and modify this GNU Manual, like GNU
     software.  Copies published by the Free Software Foundation raise
     funds for GNU development.